<?php
    /** Scrollme Extra Customizer Controls **/
    if( class_exists( 'WP_Customize_Control' ) ):

        // AccessPress Store Pro Features
        if(class_exists( 'WP_Customize_control')){
            class Scrollme_Theme_Info_Custom_Control extends WP_Customize_Control
            {
                public function render_content()
                {
                    ?>
                    <label>
                        <h2 class="customize-title"><?php echo esc_html( $this->label ); ?></h2>
                        <br />
                        <span class="customize-text_editor_desc">                  
                          <img class="feat-list-img" src="<?php echo esc_url(get_template_directory_uri() . '/images/feature-list-pro.jpg'); ?>" />
                              <ul class="admin-pro-feature-list">   
                                <li><span><?php esc_html_e('Fully built on customizer!','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Full Page Slider Options','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Advanced Typography Options','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Custom Template Color','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Added Horizontal Sections','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Custom Section Background','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('9 Preloader','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Home Section Reorder Option','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Youtube video integration','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Advance Team Page','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Beautiful Portfolio Page','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('13 Inbuilt Widgets','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('13 Inbuilt useful Shortcodes','scrollme'); ?> </span></li>
                                <li><span><?php esc_html_e('Countdown Page','scrollme'); ?> </span></li>
                            </ul>

                            <a href="https://accesspressthemes.com/wordpress-themes/scrollme-pro/" class="button button-primary buynow" target="_blank"><?php esc_html_e('Buy Now','scrollme'); ?></a>
                        </span>
                    </label>
                    <?php
                }
            }
        }

        /**
     * Pro customizer section.
     *
     * @since  1.0.0
     * @access public
     */
    class Scrollme_Customize_Section_Pro extends WP_Customize_Section {

        /**
         * The type of customize section being rendered.
         *
         * @since  1.0.0
         * @access public
         * @var    string
         */
        public $type = 'scrollme-pro';

        /**
         * Custom button text to output.
         *
         * @since  1.0.0
         * @access public
         * @var    string
         */
        public $pro_text = '';
        public $pro_text1 = '';
        public $title1 = '';

        /**
         * Custom pro button URL.
         *
         * @since  1.0.0
         * @access public
         * @var    string
         */
        public $pro_url = '';
        public $pro_url1 = '';

        /**
         * Add custom parameters to pass to the JS via JSON.
         *
         * @since  1.0.0
         * @access public
         * @return void
         */
        public function json() {
            $json = parent::json();
            $json['pro_text'] = $this->pro_text;
            $json['title1'] = $this->title1;
            $json['pro_text1'] = $this->pro_text1;
            $json['pro_url']  = esc_url( $this->pro_url );
            $json['pro_url1']  = $this->pro_url1;
            return $json;
        }

        /**
         * Outputs the Underscore.js template.
         *
         * @since  1.0.0
         * @access public
         * @return void
         */
        protected function render_template() { ?>

            <li id="accordion-section-{{ data.id }}" class="accordion-section control-section control-section-{{ data.type }} cannot-expand">
                <h3 class="accordion-section-title">
                    {{ data.title1 }}
                    <# if ( data.pro_text1 && data.pro_url1 ) { #>
                        <a href="{{ data.pro_url1 }}" class="button button-secondary alignright" target="_blank">{{ data.pro_text1 }}</a>
                    <# } #>
                </h3>
            </li>
        <?php }
    }
        
    endif; /** Condition to Check if WP_Customize_Control Class exists **/